import { NewsItem } from "./news-item";
import { DefaultElement } from "../default-element";
import { GefestHeader } from "../../modules/Gefest/primitives/header";

export class NewsFeed extends DefaultElement {
    constructor(items: NewsItem[]) {
        super([
            new GefestHeader("News", 2),
            ...items
        ]);
    }
}

export interface NewsData {
    title : string;
    content : string;
    publishedAt : string;
}